qgis-trunk, closing the program after installing a pyhton plugin returns an error

2010-02-09 07:04 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12482

Description

tested on both linux and windows.

After installing a plugin from the repositories, when you close qgis it returns a python erroe like

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 175, in unloadPlugin

    _unloadPluginModules(packageName)

  File "C:/OSGeo4W/apps/qgis-dev/./python\\qgis\\utils.py", line 186, in _unloadPluginModules

    mods = _plugin_modules[packageName]

[[KeyError]]: 'numericalVertexEdit'

the error is returned as many times for how many plugins where installed.

History

#1 - 2010-02-12 09:17 AM - Martin Dobias

Borys, please check the patch and apply if it's fine...

#2 - 2010-03-19 09:13 AM - Borys Jurgiel

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:01fc3fb0 (SVN r13087) / Installer v. 1.0.9
ticket_2422.diff 2.85 KB 2010-02-12 Martin Dobias
